#
# spec file for package python-supervisor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-supervisor
Version:        3.3.3
Release:        1.1
Summary:        A system for controlling process state under UNIX
License:        SUSE-Repoze
Group:          Development/Languages/Python
Url:            http://supervisord.org/
Source:         https://pypi.io/packages/source/s/supervisor/supervisor-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-meld3 >= 0.6.5
BuildRequires:  python-setuptools
# test requirements
BuildRequires:  python-mock >= 0.5.0
Requires:       python-meld3 >= 0.6.5
Suggests:       python-cElementTree >= 1.0.2
BuildArch:      noarch

%description
Supervisor is a client/server system that allows its users to
control a number of processes on UNIX-like operating systems.

%prep
%setup -q -n supervisor-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}/%{python_sitelib}/supervisor/tests
rm -r %{buildroot}/%{python_sitelib}/supervisor/scripts

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSES.txt README.rst
%{_bindir}/echo_supervisord_conf
%{_bindir}/pidproxy
%{_bindir}/supervisorctl
%{_bindir}/supervisord
%{python_sitelib}/*

%changelog
* Tue Aug  8 2017 dmueller@suse.com
- update to 3.3.3 (bsc#1051136):
  - Fixed CVE-2017-11610.  A vulnerability was found where an authenticated
    client can send a malicious XML-RPC request to ``supervisord`` that will
    run arbitrary shell commands on the server.  The commands will be run as
    the same user as ``supervisord``.  Depending on how ``supervisord`` has been
    configured, this may be root.  See
    https://github.com/Supervisor/supervisor/issues/964 for details.
  - Fixed a bug introduced in 3.3.0 where the ``supervisorctl reload`` command
    would crash ``supervisord`` with the error ``OSError: [Errno 9] Bad file
    descriptor`` if the ``kqueue`` poller was used.  Patch by Jared Suttles.
  - Fixed a bug introduced in 3.3.0 where ``supervisord`` could get stuck in a
    polling loop after the web interface was used, causing high CPU usage.
    Patch by Jared Suttles.
  - Fixed a bug where if ``supervisord`` attempted to start but aborted due to
    another running instance of ``supervisord`` with the same config, the
    pidfile of the running instance would be deleted.  Patch by coldnight.
  - Fixed a bug where ``supervisorctl fg`` would swallow most XML-RPC faults.
    ``fg`` now prints the fault and exits.
  - Parsing the config file will now fail with an error message if a process
    or group name contains a forward slash character (``/``) since it would
    break the URLs used by the web interface.
  - ``supervisorctl reload`` now shows an error message if an argument is
    given.  Patch by Joel Krauska.
  - ``supervisorctl`` commands ``avail``, ``reread``, and ``version`` now show
    an error message if an argument is given.
* Thu Mar 16 2017 dmueller@suse.com
- clarify license
* Tue Dec 13 2016 dmueller@suse.com
- Initial package (3.3.1)
